//mod on water_xlab2
textures/mp_nightraid/tunnelwater_top		

	{
		qer_editorimage textures/mp_nightraid/water_m6.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm nomarks //added
		surfaceparm water

		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/mp_nightraid/water_m6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/mp_nightraid/water_m6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale -1 -1
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	
	
	}

//put this texture on every side but the top of water brush
textures/mp_nightraid/tunnelwater_nodraw
	{
		qer_editorimage textures/mp_nightraid/water_m6.tga 
		qer_trans 0.3
		surfaceparm nodraw
		surfaceparm nomarks
		surfaceparm nonsolid
		surfaceparm trans
		surfaceparm water
	}


//pond-duct transition set:
textures/mp_nightraid/pondwater
	{
		qer_editorimage textures/mp_nightraid/pool3d_3f.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/mp_nightraid/pool3d_5e.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/mp_nightraid/pool3d_3f.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale -1 -1
			tcmod scroll .025 .025
		}

	
//		{
//			map $lightmap
//			blendFunc GL_dst_color GL_zero
//			rgbgen identity		
//		}
	
	
	}

textures/mp_nightraid/pondwater_nodraw
	{
		qer_editorimage textures/mp_nightraid/pool3d_3f.tga
		qer_trans 0.3
		surfaceparm nodraw
		surfaceparm nomarks
		surfaceparm nonsolid
		surfaceparm trans
		surfaceparm water
	}

textures/skies/sky_dam_night_mp_nightraid
{
	nocompress
	qer_editorimage textures/skies/newclouds2.tga
	q3map_lightimage textures/skies/n_blue2.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_globaltexture
	q3map_lightsubdivide 2048
	q3map_surfacelight 1
	//q3map_backsplash -1
	skyparms full 200 -
	sunshader sun //wtf?
	fogvars ( .09 .09 .13 ) 2200				//( R G B ) dist
								//was fogvars ( .15 .15 .15 ) .0001
	
	{
		map textures/skies/newclouds2.tga		//was nightsky1.tga
		tcMod scale 16.0 16.0
	}
}


//sides of lamps, NOLIGHT
textures/mp_nightraid/light_c02_mp_nightraid
{
    q3map_lightimage textures/lightimage/light_c02.blend.tga
    qer_editorimage textures/lights/light_c02.tga
    surfaceparm nomarks
    {
        map textures/lights/light_c02.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/lights/light_c02.blend.tga
        blendFunc GL_ONE GL_ONE
    }
}

//bottoms of lamps, NOLIGHT
textures/mp_nightraid/light_c06_mp_nightraid
{
    q3map_lightimage textures/lightimage/light_c06.blend.tga
    qer_editorimage textures/lights/light_c06.tga
    surfaceparm nomarks
    {
        map textures/lights/light_c06.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/lights/light_c06.blend.tga
        blendFunc GL_ONE GL_ONE
    }
}